package com.madeu.service.web.webmainbanner;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebMainBannerService {
    public HashMap<String, Object> selectListWebMainBannerIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebMainBanner(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebMainBanner(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebMainBannerIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebMainBanner(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> updateWebMainBannerIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebMainBanner(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> deleteWebMainBanner(HashMap<String, Object> paramMap) throws Exception;
}
